
#####################  Redefiniendo este AC_MSG_FAILURE para que el AC_PROG_CC no corte el configure
m4_define([AC_MSG_FAILURE],
[{ AS_MESSAGE([error: in `$ac_pwd': See `config.log' for more details: [$1]], 2)
AC_MSG_NOTICE([$1])
#, [$2]); 
}])
##################################################################################################


##################################################################################################333
AC_DEFUN([PROG_DEP],[
    if test "x${NEEDS}" = "x"; then
       NEEDS=[$1]
     else
       NEEDS=${NEEDS}:[$1] 
    fi
   AC_MSG_NOTICE([Needs-[$2]:[$1]]);
])
####################################################################################################
AC_DEFUN([PROG_ALERT],[
   # ejecutable, paquete
   #lacks
    if test "x${LACKS}" = "x"; then
       LACKS=[$1]
     else
       LACKS=${LACKS}:[$1] 
    fi
   AC_MSG_NOTICE([Lacks-[$2]:[$1]]);
])
##########################################################################################33
AC_DEFUN([PROG_FIND],[
# variable, archivo ejecutable, paquete generico, variable need: por ej.: use
AC_PATH_PROGS([$1], [$2],no,[/usr/bin:${PATH}:/usr/local/bin])
echo Primero /usr/bin porque es por defecto el que se usa en otros paquetes, arreglar otros paquetes
##$VAR_PATH=`which $1 2> /dev/null`
#echo "[$0]:[$1]->$[$1]"
if test "x$[$1]" = "xno" -o ! -x "$[$1]"; then
#  if test ! -x "$[$1]" ; then
    # quizas -x  sea redundante y lo haga ac_path_progs
    AC_MSG_WARN([No encuentro [$2] del paquete generico [$3]]);
    PROG_ALERT([$3],[$4])
#  fi
fi
#AC_SUBST([$1]) ya esta em AC_PATH_PROGS
])





##########################################################################################################

###########################################################

########################################################################################################333333333
AC_DEFUN([GET_ARCH],[
OTHERFLAG=
#solo sirve para otherflag y para en caso que sea necesario

#i586-mingw32-gcc

case ${target} in
    alpha*)   ARCH=alpha ;;
    arm*)     ARCH=arm ;;
    cris*)    ARCH=cris ;;
    hppa*)    ARCH=parisc ;;
    i386*)                              ARCH=i386 ; OTHERFLAG="-m32";;
    winchip*|i486*)                     ARCH=i486 ; OTHERFLAG="-m32";;
    pentium|pentium-mmx|c3*|i586*)      ARCH=i586 ; OTHERFLAG="-m32";;
    pentiumpro|pentium*|athlon*|i686*)  ARCH=i686 ; OTHERFLAG="-m32";;
    i*86*|pentium*)                     ARCH=i586 ; OTHERFLAG="-m32";;
    i4004)    abort "ENOMEM" ;;
    ia64*)    ARCH=ia64 ;;
    mips*)    ARCH=mips ;;
    m68k*)    ARCH=m68k ;;
    powerpc64*) ARCH=ppc64 ;;
    powerpc*) ARCH=ppc ;;
    ppc*)     AC_MSG_ERROR([abort "Target $target incompatible with binutils and gcc regression tests; use target powerpc-* or powerpc64-* instead"]);;
    s390*)    ARCH=s390 ;;
    sh*)      ARCH=sh ;;
    sparc64*) ARCH=sparc64 ;;
    sparc*)   ARCH=sparc ;;
    vax*)     ARCH=vax ;;
    x86_64*)  ARCH=x86_64 ; OTHERFLAG="-m64" ;;
    *) AC_MSG_ERROR([abort "Bad target $target"])
esac

case ${target} in
*hurd*) kernel=hurd;;
*linux*) kernel=linux;;
*bsd*) kernel=bsd;;
esac

case ${target} in
*uclibcgnueabi) system=uclibcgnueabi;;
*gnuspe)        system=gnuspe;;
*gnueabi)       system=gnueabi;;
*gnu)           system=gnu;;
*uclibc)        system=uclibc;;
*elf)           system=elf;; 
*eabi) system=eabi ;;
esac

AC_MSG_NOTICE([mmmmmm  $build_cpu = $target_cpu])
if test "x$build_cpu" = "x$target_cpu"; then
      MOPTS=$OTHERGFLAG
   else
      MOPTS="-march=$ARCH $OTHERFLAG"
fi


AC_MSG_NOTICE([GET BARCH $ARCH $OTHERFLAG])

AC_SUBST(MOPTS)

])

#############################################################################################################33



########################
# viejos
#########################################################################################################3

#AC_PATH_TARGET_TOOL([RANLIB], [ranlib],[XXX],[$NPATH:$PATH])
#if test x"$RANLIB" = x"XXX"; then
#     RANLIB=
#fi

#AC_PATH_TARGET_TOOL([AR], [ar],[XXX],[$NPATH:$PATH])
#if test x"$AR" = x"XXX"; then
#     AR=
#fi

#AC_PATH_TARGET_TOOL([LD], [ld],[XXX],[$NPATH:$PATH])
#if test x"$LD" = x"XXX"; then
#     LD=
#fi

#AC_PATH_TARGET_TOOL([STRIP], [strip],[XXX],[$NPATH:$PATH])
#if test x"$STRIP" = x"XXX"; then
#     STRIP=
#fi


	#AC_DEFUN([PROG_MAKE],[
## nota, ver com automake elige make
##AC_PROG_MAKE no existe
##ver AC_PROG_MAKE_SET
#AC_PATH_TARGET_TOOL([EXMAKE], [make],[XXX],[$NPATH:$PATH])
#if test x"$EXMAKE" = x"XXX"; then
#     EXMAKE=
#          AC_MSG_WARN([Instale make])
#          AC_MSG_NOTICE([Needs:make])
#fi
#])
#
## no se que es pcb
#AC_DEFUN([PROG_LATEX],[
#AC_PATH_PROGS(LATEX, latex, no, ${PATH})
#AM_CONDITIONAL(HASTEX, test $LATEX != no)
#dnl  Specifically prevent doc build from pcb.texi in docs dir . . . .
#if test "x$LATEX" = "xno"; then
#   PCB_TEXI=""
#   AC_MSG_WARN([Instale LaTeX, por ejemplo texlive])
#   AC_MSG_NOTICE([Needs:latex])
#else
#   PCB_TEXI="pcb.texi"
#fi
##AC_SUBST(PCB_TEXI)
#])
#
#
#AC_DEFUN([PROG_SUBVERSION],[
#AC_PATH_PROGS(SVN, svn,no, ${PATH})
#if test x$SVN = "xno"; then
#  AC_MSG_WARN([Instale svn, paquete subversion en debian y en suse])
#  AC_MSG_NOTICE([Needs:subversion])
#fi
#])#
#
#AC_DEFUN([PROG_SVN2CL],[
#AC_PATH_PROGS(SVN2CL, svn2cl,no, ${PATH})
#if test x$SVNCL = "xno"; then
#  AC_MSG_WARN([Instale svn2cl, paquete subversion-tools en debian y en suseno esta svn2cl alli, bajarlo de http://arthurdejong.or#g/svn2cl/downloads.html])
#  AC_MSG_NOTICE([Needs:svn2cl])
#fi
#])
#


#AC_DEFUN([PROG_TGIF],[
#AC_PATH_PROGS(TGIF, tgif, no, ${PATH})
#AM_CONDITIONAL(HASTGIF, test $TGIF != no)
#if test x$TGIF = "xno"; then
#  AC_MSG_WARN([No tgif])
#  AC_MSG_NOTICE([Needs:tgif])
#fi
#])#
###
#
#AC_DEFUN([PROG_LATEX2HTML],[
#AC_PATH_PROGS(LATEX2HTML, latex2html,no, ${PATH})
#if test x$LATEX2HTML = "xno"; then
#  AC_MSG_WARN([Instale LATEX2HTML])
#  AC_MSG_NOTICE([Needs:latex2html])
#fi
#])##
##
#
#AC_DEFUN([PROG_EMACS],[
#AC_PATH_PROGS(EMACS, emacs,no, ${PATH})
#if test x$EMACS = "xno"; then
#  AC_MSG_WARN([Instale emacs])
#  AC_MSG_NOTICE([Needs:emacs])
#fi
#])#
#
#AC_DEFUN([PROG_DVIPS],[
#AC_PATH_PROGS(DVIPS, dvips, no, ${PATH})
## algo raro
#AM_CONDITIONAL(HASDVIPS, test $DVIPS != no)
#if test x$DVIPS = "xno"; then
#  AC_MSG_WARN([No dvips])
#  AC_MSG_NOTICE([Needs:dvips])
#fi
#])#
#
#AC_DEFUN([PROG_TEXINFO],[
#AC_PATH_PROG(MAKEINFO, makeinfo)
#if test "x$MAKEINFO" = "x"; then
#     MAKEINFO=
#     AC_MSG_WARN([Instale makeinfo, paquete texinfo])
#     AC_MSG_NOTICE([Needs:texinfo])
#fi
#])#
#
#AC_DEFUN([PROG_XZ],[
#AC_PATH_PROGS(XZ, xzcat,no, ${PATH})
#if test "x$XZ" = "xno"; then
#  AC_MSG_WARN([Instale utilidades xz])
#  AC_MSG_NOTICE([Needs:xz])
#fi
#])#
#
#AC_DEFUN([PROG_WGET],[
#AC_PATH_PROGS(WGET, wget,no, ${PATH})
#if test "x$WGET" = "xno"; then
#  AC_MSG_WARN([Instale wget])
#  AC_MSG_NOTICE([Needs:wget])
#fi
#])#
#
#AC_DEFUN([PROG_LSB_RELEASE],[
#AC_PATH_PROGS(LSB, lsb_release,no, ${PATH})
#if test "x$LSB" = "xno"; then
#  AC_MSG_WARN([Instale lsb-release])
#  AC_MSG_NOTICE([Needs:lsb-release])
#fi
#])#


#AC_DEFUN([PROG_INSTALLPKG],[
# INSTALLPKG_PATH=`which installpkg 2> /dev/null`
#if test ! -x "$INSTALLPKG_PATH" ; then
#   AC_MSG_WARN([No esta installpkg de slackware]);
#   AC_MSG_NOTICE([Needs:installpkg]);
#fi
#])
#AC_DEFUN([PROG_DPKG],[
#AC_PATH_PROGS(DPKG, dpkg,no,[/usr/local/bin:${PATH}])
##DPKG_PATH=`which dpkg 2> /dev/null`
#echo DPKG:$DPKG
#if test ! -x "$DPKG" ; then
#   AC_MSG_WARN([No esta dpkg de debian]);
#   AC_MSG_NOTICE([Needs:dpkg]);
#fi#
#
#AC_SUBST(DPKG)
#])


AC_DEFUN([TEST_PROG_GENERAL],[
       echo "Paquete no especifico"
       #LOW=`echo ${dep}| tr '[:lower:]' '[:upper:]'`   
       #PROG_FIND([$LOW],[$1],[$1])  
       #no funciona la sustitucion de variables asi
       # variable, archivo ejecutable, paquete generico
       OIFS=$IFS
       IFS=:
       NCAM=${PATH}:/usr/local/bin
       ESTA=NO
       for camino in $NCAM; do
          if test -x $camino/[$1]; then
              ESTA=SI
              break
          fi
       done 
       IFS=$OIFS
       if test "x$ESTA" = "xSI"; then
            echo checking for [$1]  $camino/[$1]
          else
            echo checking for [$1] ...  no
            AC_MSG_WARN([No encuentro [$1] del paquete generico [$1]]);
            PROG_ALERT([$1],[$2])
       fi 
])

#############3

AC_DEFUN([TEST_PACKS],[
 echo PACKS: [$1] files: [$2] 
 LACKS=
 NEEDS=
 for dep in [$1]; do
   echo Package: ${dep}
   TEST_PACK([${dep}],[$2])
 done
 echo $LACKS    | tr ':' '\n' >lacks-[$2]
 echo $NEEDS    | tr ':' '\n' >needs-[$2]

])



AC_DEFUN([PRESENTA_DATOS],[


AC_MSG_RESULT([
------------------------------------------------------------------------
  Automatic configuration OK.

  Software:
    Paquete: ..................... $PACKAGE
    Version: ..................... $VERSION
    Release: ..................... $RELEASE


  Config Info:
    prefix: ...................... ${prefix} 
    exec_prefix: ................. ${EXECPREFIX}


  Installation paths:  (append $PACKAGE some dirs)

    exes: ........................ ${BINDIR}
    libs: ........................ ${LIBDIR}
    C header files: .............. ${INCLUDEDIR}
    Documentation: ............... ${DOCDIR}
    Datadir: ..................... ${DATADIR}
    Mandir: ...................... ${MANDIR}
    Sysconfdir: .................. ${SYSCONFDIR}
    Infodir: ..................... ${INFODIR}
    WebDocs: ..................... ${HTTPDROOT}/$PACKAGE
    WebCgi: ...................... ${HTTPDCGI}
    datarootdir .................. ${datarootdir}


  Dependencies:
    MUSEDIR ...................... ${MUSEDIR}
    RPMDIR........................ ${RPMDIR}
    DPKG ......................... ${DPKG}

  Packaging info:
    destdir: ..................... ${DESTDIR} 
    top_distdir: ................. ${top_distdir}

  Apache Process (if found):

    ApacheUser: .................. ${HTTPDUSER}
    ApacheGroup: ................. ${HTTPDGRP}

  System Info:
    Linux distro (filesystem): ... ${DISTRO}
    Linux subdistro (fs): ........ ${SUBDISTRO}
    Linux sdistro version (fs): .. ${SVERSION}
    Linux distro version (fs): ... ${DVERSION}
    Linux distro (kernel): ....... ${LINUXKERNEL}
    Distro-Pref.Packaging System . ${PACKUSE}
    Number of Pack: 
          rpm .................... ${TAMR}
          deb .................... ${TAMD}
          ebuild ................. ${TAME}   
          slackware............... ${TAMS}   
          cygwin ................. ${TAMW}   

  Cross-compiling:
    Cross compiling: ............. ${cross_compiling}

    Host: ........................ ${host}    
    Target: ...................... ${target} 
    Build: ....................... ${build} 

    Host_alias: .................. ${host_alias}        
    Target_alias: ................ ${target_alias}
    Build_alias: ................. ${build_alias}        
    (alias are ./configure --target --buid --host arguments)

    Host_cpu: .................... ${host_cpu}
    Host_vendor: ................. ${host_vendor}
    Host_os: ..................... ${host_os}

    Target_cpu: .................. ${target_cpu}
    Target_vendor: ............... ${target_vendor}
    Target_os: ................... ${target_os}

 ($ARCH)

    Build_cpu: ................... ${build_cpu} 
    Build_vendor: ................ ${build_vendor} 
    Build_os: .................... ${build_os}

    Build_alias  ${build_alias}

    CC_FOR_BUILD:................. $CC_FOR_BUILD
    CC: .......................... $CC
    F77: ......................... $F77
    AR: .......................... $AR
    LD: .......................... $LD
    RANLIB: ...................... $RANLIB

latex
ojbdump

    CHOST                           $CHOST  ${CHOST}

    FLAGS ......................... $FLAGS
    FOFLAGS ....................... $FOFLAGS   
    MARCH ......................... $MOPTS
 
  Building:

    Type 'make' to compile $PACKAGE.

    Type 'make install' to install $PACKAGE.


    BUILD_ROOT .................$BUILD_ROOT
    TMP_DIR ....................$TMP_DIR 
------------------------------------------------------------------------
])
])


 #despues aparecen
       #echo VARS3  $SED - $AR  - $RANLIB - $STRIP  - $MAKE


   #echo var largas con missing:  $AMTAR - $AUTOCONF - $AUTOMAKE - $ACLOCAL - $AUTOHEADER - $MAKEINFO
       #Missing
       #  aclocal      touch file \`aclocal.m4'
       #  autoconf     touch file \`configure'
       #  autoheader   touch file \`config.h.in'
       #  autom4te     touch the output file, or create a stub one
       #  automake     touch all \`Makefile.in' files
       #  bison        create \`y.tab.[ch]', if possible, from existing .[ch]
       #  flex         create \`lex.yy.c', if possible, from existing .c
       #  help2man     touch the output file
       #  lex          create \`lex.yy.c', if possible, from existing .c
       #  makeinfo     touch the output file
       #  tar          try tar, gnutar, gtar, then tar without non-portable flags
       #  yacc         create \`y.tab.[ch]', if possible, from existing .[ch]


       #echo vars  $SHELL - $AWK  - $mkdir_p  - $SET_MAKE

       #AC_PROG_AWK lo ve am_init_ATOMAKE
       #AC_PROG_MKDIR_P lo ve am_init_ATOMAKE
#PROG_FIND([ESPMAKE],[make],[make]) lo ve am_init_ATOMAKE
