OMMANDS
       Feta  has  a  variety of commands to query and modify your local Debian
       package database and packages. If a command is  followed  by  [*],  you
       will  need  to  be root to perform the command, and Feta will automati-
       cally run su for you.

       This is only a short overview of each command. For a listing of all the
       features of each one, use feta help command.

       add-override [*]
              Add  a stat override to a file; this takes the same arguments as
              the dpkg-statoverride command. The concept behind a  stat  over-
              ride  is  too complicated to explain here, please read dpkg-sta-
              toverride(8).

       alternatives [*]
              Select an appropriate program for a 'generic' UNIX command  (for
              example,  editor  or pager). For a complete list of alternatives
              you can change, look in /etc/alternatives.

       apropos
              Search the  contents  of  all  the  Feta  help  files  you  have
              installed.

       apt-sources [*]
              Edit your /etc/apt/sources.list file, to add or remove different
              package repositories.

       available
              Display the currently installed version and available version of
              the packages given.

       bug    Report bugs in packages to the Debian BTS. You can also use this
              command to query the BTS for information  on  existing  bugs  or
              packages.

       build  Download,  compile, and build all the packages given on the com-
              mand line.  This requires  APT  to  be  configured  to  download
              source packages (which it usually is).

       build-depends, build-dep
              Download  and  install  any packages you need to build the given
              packages.  The build command does this automatically.

       changes
              Display the changelog.Debian, changelog, or NEWS  file  (checked
              in  that order) of an installed package within your default text
              pager.

       check [*]
              Rebuild the APT sources.list cache file. Do this  if  you  think
              it's been corrupted in some, or if APT complains.

       checksums, sums
              Verify  that files have not been modified or corrupted using MD5
              checksums.  If a binary or data file is reported as not having a
              correct  checksum,  you  may  wish  to consider reinstalling the
              package.

       clean [*]
              Delete obsolete packages in /var/cache/apt/archives. If you  run
              feta clean all, all packages will be deleted.

       commands
              Display  a  list  of  Feta's  commands. This is mostly useful in
              shell scripts.

       configure [*]
              Reconfigure the packages given on the command line, if  that  is
              possible.  If  there  are no packages given, this configures all
              unconfigured packages.

       console
              Use Feta in interactive console mode. See the section "The  Feta
              Console" below for more information on how to use it.

       contents, -c
              Display  the  contents  of  a  package (either a filename, or an
              installed one).

       dist-upgrade [*]
              Perform a dist-upgrade. This is like an "upgrade"  (see  below),
              except some packages may be removed if they conflict.

       provides, find, -S
              Find  the  packages  that  contain  the filenames (or wildcards)
              given on the command line.

       force-install [*]
              Forcibly install packages (only off your hard drive), regardless
              of any problems with them. This is a bad idea.

       force-remove [*]
              Forcibly  remove  packages  from  your system, regardless of any
              remaining dependencies. This is also a bad idea.

       force-purge [*]
              Forcibly remove packages and their configuration files from your
              system, regardless of any remaining dependencies. This, like the
              other forced commands, is a bad idea.

       foster [*]
              Verify that you want  packages  that  nothing  depends  on,  and
              remove them if you don't want them.

       help   Without  any arguments, Feta will display this manual page. If a
              command name is given, Feta will display help on  that  command,
              if it is available.

       hold [*]
              Place a package on hold. The package will not be upgraded during
              an upgrade or dist-upgrade command.

       info, show, -s
              Display a brief screen of information about a package or file.

       install, -i [*]
              Install packages from a filename, or download automatically from
              a URL or the Debian package servers.

       install-list [*]
              Read  in a text file and install all the packages in it (one per
              line). If you use this with the list-installed command to create
              a (poor) copy of your system.

       install-tasks [*]
              Install  a set of packages known as a 'task'. You can view pack-
              ages in a task, or a list of all tasks, by using list-tasks.

       list   List all installed packages  and  their  short  descriptions.  A
              wildcard  pattern  (*something*)  can be provided to display all
              packages, installed or not, that match that wildcard.

       list-installed
              Display a list of all the currently installed/held packages.  If
              a  filename is given, Feta will output to that filename instead.
              This can be used in conjunction with install-list  to  create  a
              (poor) copy of your system.

       list-overrides
              List  all  the  stat overrides you have created. This is too in-
              depth to explain here; please read to dpkg-statoverride(8).

       list-tasks
              List all the tasks that can be installed using the task  install
              command.  If  one  or  more task names are also given, Feta will
              display all the packages in those tasks.

       names  List the names of all the packages available,  sorted.  You  can
              also give a filter on the command line.

       overrides
              Start  an interactive and more helpful interface to add, remove,
              and view stat overrides.

       orphan [*]
              Track down unneeded libraries and remove them. This might affect
              you  if you have custom-compiled or proprietary software, but is
              generally safe.

       package-sizes
              Display the sizes of all installed  packages,  as  well  as  the
              total size. The switches -r and -s can be used after the command
              time to sort by size (rather than alphabetically),  and  reverse
              the display order.

       policy Display  information  about your /etc/apt/preferences file, such
              as package priorities and pins.  If  package  names  are  given,
              detailed  information about those packages are printed out; oth-
              erwise, a summary of all package priorities and pins are printed
              out.

       purge-config [*]
              Remove configuration files from uninstalled packages.

       prep [*]
              Feta  uses  several  other  programs  to  manipulate the package
              database. If some of these  programs  are  missing,  Feta  works
              fine,  but  with  reduced  functionality.  The prep command will
              install those missing packages.

       purge, -p [*]
              Remove packages given, every package that depends on  them,  and
              their configuration files.

       recommends [*]
              Install  packages that any given packages recommend. In the case
              of a virtual package, or multiple options, you will be  prompted
              for which package you want to install (if any).

       reinstall [*]
              Reinstall a package, even if it is the same version.

       remove, -r [*]
              Remove packages given and every package that depends on them.

       remove-override [*]
              Remove  a stat override on a file; this takes the same arguments
              as the dpkg-statoverride command.  The  concept  behind  a  stat
              override  is  too  complicated  to  explain  here,  please  read
              dpkg-statoverride(8).

       repackage
              Attempt to put together a .deb file  of  an  installed  package.
              This  can  be dangerous, because it uses system-local configura-
              tion files from /etc if the package contained files in /etc.

       show-package
              Show basic information about the package. This output is  proba-
              bly more useful for scripts than people; look at the "info" com-
              mand for more readable output.

       search Search package descriptions for the text given  on  the  command
              line.

       select Run  the  `dselect'  program,  which lets you interactively edit
              your package selections.

       source Download the source for packages given on the command line. This
              requires APT to be configured to download source packages (which
              it usually is).

       status Display the status of the packages. This provides  much  of  the
              same  information as the info command, but also displays whether
              the package is installed or uninstalled.

       suggests [*]
              Install packages that any given packages suggest. In the case of
              a virtual package, or multiple options, you will be prompted for
              which package you want to install (if any).

       to-upgrade
              Show a list of packages that need to be  upgraded,  the  version
              currently installed, and the version available to install.

       to-install
              List packages that are marked for install.

       to-purge
              List packages that are marked to be purged.

       unhold [*]
              Remove  a hold on a package. The package will be upgraded during
              an upgrade or dist-upgrade command.

       update, -u [*]
              Update the list of packages available  from  Debian  and  third-
              party  servers.   upgrade and dist-upgrade will prompt you to do
              this, as well.

       upgrade [*]
              Upgrade all the packages given on the command line, or  all  the
              packages on the system if no explicit packages are given.

       version
              Display version and copyright information about Feta.

       what-is
              Get  a short description of the package, its size, and available
              versions from the packages.debian.org server. This only works on
              official packages.

       which-package
              Show a list of all files in the given package, and a list of all
              packages containing a file with that name. Unlike  the  contents
              or     provides    command,    this    command    queries    the
              packages.debian.org server.

       For compatibility with other packaging tools, there are  other  command
       names not documented here. The ones listed above are guaranteed to con-
       tinue to work, and the undocumented ones may change in  later  versions
       of Feta.
